Cyberduck Mountain Duck CLI

#8199 closed defect (duplicate)

SSL interoperability with opendrive.com

Reported by: 8luky7 Owned by: dkocher
Priority: normal Milestone:
Component: webdav Version: 4.5.2
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows 7

Description

I have opendrive.com storage.

I wanted to create a WebDAV connection using SSL (https://webdav.opendrive.com), but the program prints an error :

unrecornized_name

without SSL secure connection going through your program right.

I tried SSL through other programs and there it's okay even with SSL.

Thank you for your advice

Change History (5)

comment:1 Changed on Aug 29, 2014 at 6:59:37 AM by dkocher

  • Component changed from core to webdav
  • Owner set to dkocher
  • Summary changed from webdav SSL opendrive.com to SSL interoperability with opendrive.com

comment:2 Changed on Aug 29, 2014 at 7:10:18 AM by dkocher

  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate for #7908. You can verify the wrong server setup with running openssl with server name indication (SNI) enabled.

openssl s_client -servername webdav.opendrive.com -tlsextdebug -msg -connect webdav.opendrive.com:443

This will print

<<< TLS 1.0 Alert [length 0002], warning unrecognized_name

during the handshake.

Please report this issue to the owner of opendrive.com.

comment:3 Changed on Aug 29, 2014 at 7:12:12 AM by dkocher

See also the report from ssllabs.com that indicates the same

No support for virtual SSL hosting (SNI). Connects to the default site if the server uses SNI.

comment:4 Changed on Oct 28, 2014 at 1:16:24 PM by dkocher

Added test in r15515.

comment:5 Changed on Jun 26, 2015 at 1:58:57 PM by dkocher

Fixed by the provider. Removed test in r17848.

Note: See TracTickets for help on using tickets.
swiss made software